> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/core/get-started/faq/python-version-incompatible-with-samples.md).

# My version of Python is incompatible with the precompiled samples

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

You can try to [build your own wrappers](https://github.com/ApryseSDK/PDFNetWrappers/), or run a compatible version of Python in its own environment.

Here are the steps for the virtual environment option using [pyenv](https://github.com/pyenv/pyenv/):

1. Install [pyenv](https://github.com/pyenv/pyenv/) and execute `pyenv install 3.8`. It may take a while to install.
2. Navigate to your `/PDFNetWrappers` folder and execute these two lines:

{% tabs %}
{% tab title="Shell" %}
{% code lineNumbers="true" %}

```sh
pyenv local 3.8
source ~/.bash_profile
```

{% endcode %}
{% endtab %}
{% endtabs %}

The precompiled samples will now use Python 3.8 You can now [run some samples](/core/get-started/samples.md), or [integrate our SDK into your own application](/core/get-started/languages/python3.md). If you want to return to using your system version of Python for the samples, just run `pyenv local system` in `/PDFNetWrappers`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/core/get-started/faq/python-version-incompatible-with-samples.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
